# WebSSH service unit

This is just a Systemd service unit for [WebSSH](https://github.com/huashengdun/webssh) web app.

### Files
* `webssh.service` is a Systemd units template for WebSSH.
#### Installation
* `install.sh` script copies the Systemd template to its destination, with the correct path (set in `variables.conf`).

### Note
For this service to be correctly accessed through reverse proxy, you need the following parameters (Nginx example):
```
location / {
  proxy_pass                            http://localhost:8000/;
  proxy_http_version                    1.1;
  proxy_set_header Upgrade              $http_upgrade;
  proxy_set_header Connection           "Upgrade";
  proxy_set_header Host                 $http_host;
  proxy_set_header X-Real-IP            $remote_addr;
  proxy_set_header X-Real-PORT          $remote_port;
  add_header Strict-Transport-Security  "max-age=31536000; includeSubDomains";
}
```

### TODO
* RAS
